---
title: Performance.timing
slug: Web/API/Performance/timing
tags:
  - API
  - Backwards compatibility
  - Deprecated
  - Navigation Timing
  - Performance
  - Property
  - Read-only
  - legacy
---
<p>{{APIRef("Navigation Timing")}}{{deprecated_header}}</p>

<div class="warning">
<p>This property is deprecated in the <a href="https://w3c.github.io/navigation-timing/#obsolete">Navigation Timing Level 2 specification</a>. Please use the {{domxref("PerformanceNavigationTiming")}} interface instead.</p>
</div>

<p>The legacy <code><strong>Performance</strong></code><strong><code>.timing</code></strong> read-only property returns a {{domxref("PerformanceTiming")}} object containing latency-related performance information.</p>

<p>This property is not available in workers.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>timingInfo</em> = <em>performance</em>.timing;</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Navigation Timing Level 2', '#obsolete')}}</td>
   <td>{{Spec2('Navigation Timing Level 2')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.Performance.timing")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{domxref("Performance")}} interface it belongs to.</li>
</ul>
